Page MenuHomePhabricator

Scroll position is lost when viewer is closed
Closed, ResolvedPublic

Description

When you close the multimedia viewer, it puts you back at the top of the page, rather than at the scroll position you were at previously.

Perhaps it can store $( window ).scrollTop() .


Version: master
Severity: normal

Details

Reference
bz63892

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:21 AM
bzimport added a project: MediaViewer.
bzimport set Reference to bz63892.
bzimport added a subscriber: Unknown Object (MLST).
Tgr added a comment.Apr 14 2014, 6:03 PM

Duplicate of https://wikimedia.mingle.thoughtworks.com/projects/multimedia/cards/439 ; I think we did not have a Bugzilla bug for it so far though.

We do store scrollTop, we just messed it up at some point.

Change 125383 had a related patch set uploaded by Gergő Tisza:
Restore article scroll after closing Media Viewer

https://gerrit.wikimedia.org/r/125383

Change 125383 merged by jenkins-bot:
Restore article scroll after closing Media Viewer

https://gerrit.wikimedia.org/r/125383

Change 127381 had a related patch set uploaded by Gergő Tisza:
Restore article scroll after closing Media Viewer

https://gerrit.wikimedia.org/r/127381

Tgr added a comment.Apr 19 2014, 3:42 PM
  • Bug 64133 has been marked as a duplicate of this bug. ***
Tgr added a comment.Apr 20 2014, 9:23 PM
  • Bug 64149 has been marked as a duplicate of this bug. ***

Change 127381 merged by Catrope:
Restore article scroll after closing Media Viewer

https://gerrit.wikimedia.org/r/127381

Gilles triaged this task as Unbreak Now! priority.Dec 4 2014, 10:11 AM
Gilles moved this task from Untriaged to Done on the Multimedia board.
Gilles lowered the priority of this task from Unbreak Now! to Needs Triage.Dec 4 2014, 11:21 AM